<!--
  ~ #%L
  ~ chvote-bo
  ~ %%
  ~ Copyright (C) 2016 - 2019 République et Canton de Genève
  ~ %%
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  ~ GNU General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  ~ #L%
  -->

<div class="models" *ngIf="models && models.length > 0">

  <div class="model" [class.no-button]="!userCanDeleteMapping(model)" id="{{model.modelName}}"
       *ngFor="let model of models">
    <a class="model-name" aria-label="view/edit details" (click)="editModel(model)">
      {{model.modelName}}
    </a>
    <a class="model-delete" *ngIf="userCanDeleteMapping(model)" (click)="remove(model)"
       aria-label="delete">
      <mat-icon>delete</mat-icon>
    </a>
  </div>
</div>
